For the complete documentation index, see llms.txt. This page is also available as Markdown.

Miscellaneous other API

Other APIs that don't fit a dedicated theme.

Get server info

get

Returns some basic information about the LRR instance this server is running.

Responses
200

Server info

application/json

Server info payload emitted by /api/info. Older server versions used integers instead of booleans here.

namestringOptional

Name of the instance

motdstringOptional

MOTD of the instance

versionstringOptional

Version of the server

version_namestringOptional

Version name

version_descstringOptional

Version description

has_passwordbooleanOptional

Whether the instance is password-protected

debug_modebooleanOptional

Whether the instance has debug mode enabled

nofun_modebooleanOptional

Whether the instance has no-fun mode enabled

archives_per_pageintegerOptional

How many archives per page the server lists

server_resizes_imagesbooleanOptional

Whether the instance auto-downsizes images before serving them

server_tracks_progressbooleanOptional

Whether the instance tracks reading progression server-side

authenticated_progressbooleanOptional

Whether the instance requires authentication for server-side progress updates

total_pages_readintegerOptional

Total amount of pages read

total_archivesintegerOptional

Total amount of archives stored on instance

cache_last_clearedintegerOptional

Timestamp for last time the search cache was wiped

excluded_namespacesstring[]Optional

List of tag namespaces excluded from search suggestions and tag statistics

get/info
GET /api/info HTTP/1.1
Host: lrr.tvc-16.science
Accept: */*
200

Server info

{
  "archives_per_page": 100,
  "cache_last_cleared": 1728852701,
  "debug_mode": true,
  "has_password": false,
  "name": "LANraragi",
  "motd": "aye lads time to read some manga",
  "nofun_mode": false,
  "server_resizes_images": false,
  "server_tracks_progress": true,
  "authenticated_progress": false,
  "total_archives": 104,
  "total_pages_read": 252,
  "version": "0.9.30",
  "excluded_namespaces": [
    "source",
    "date_added"
  ],
  "version_desc": "I'm under Japanese influence and my honor's at stake!",
  "version_name": "Law (Earthlings On Fire)"
}

Clean the Temporary Folder

delete

Cleans the server's temporary folder.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Responses
200

Cleanup result

application/json
operationstring · enumOptionalPossible values:
successinteger · enumOptionalPossible values:
errorstring · nullableOptional

Error message if something went wrong during cleanup. (The call will still return 200)

newsizeintegerOptional

Current size of the temporary folder post-cleanup.

delete/tempfolder
DELETE /api/tempfolder HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
200

Cleanup result

{
  "operation": "cleantemp",
  "error": null,
  "newsize": 0,
  "success": 1
}

Queue a URL download

post

Add a URL to be downloaded by the server and added to its library.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Query parameters
urlstring · uriOptional

URL to download

catidstring · min: 14 · max: 14Optional

Category ID to add the downloaded URL to.

Body
urlstring · uriRequired

URL to download

catidstring · min: 14 · max: 14Optional

Category ID to add the downloaded URL to.

Responses
200

Enqueued job

application/json
operationstring · enumOptionalPossible values:
urlstringOptional

URL queued for download

categorystring · nullableOptional
successinteger · enumOptionalPossible values:
jobintegerOptional
post/download_url
POST /api/download_url HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 44

{
  "url": "https://example.com",
  "catid": "text"
}
{
  "job": 86,
  "operation": "download_url",
  "success": 1,
  "url": "https://example.com"
}

Regenerate Thumbnails

post

Queue a Minion job to regenerate missing/all thumbnails on the server.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Query parameters
forcebooleanOptional

Whether to generate all thumbnails, or only the missing ones.

Responses
200

Enqueued job

application/json
operationstring · enumOptionalPossible values:
successinteger · enumOptionalPossible values:
jobintegerOptional
post/regen_thumbs
POST /api/regen_thumbs HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
200

Enqueued job

{
  "job": 3,
  "operation": "regen_thumbnails",
  "success": 1
}

Metrics

The /api/info/metrics endpoint returns metrics in the Prometheus exposition format.

Last updated